org.keycloak.services.clientregistration

## Class ClientRegistrationAuth

- java.lang.Object
- - org.keycloak.services.clientregistration.ClientRegistrationAuth

-     public class ClientRegistrationAuth
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientRegistrationAuth(KeycloakSession session, ClientRegistrationProvider provider, EventBuilder event, String endpoint)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientInitialAccessModel` | `getInitialAccessModel()`
    `JsonWebToken` | `getJwt()`
    `String` | `getKid()`
    `RegistrationAuth` | `getRegistrationAuth()`
    `String` | `getToken()`
    `boolean` | `isInitialAccessToken()`
    `boolean` | `isRegistrationAccessToken()`
    `RegistrationAuth` | `requireCreate(ClientRegistrationContext context)`
    `void` | `requireDelete(ClientModel client)`
    `RegistrationAuth` | `requireUpdate(ClientRegistrationContext context, ClientModel client)`
    `void` | `requireView(ClientModel client)`
    `void` | `requireView(ClientModel client, boolean allowPublicClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientRegistrationAuth

          public ClientRegistrationAuth(KeycloakSession session,
                                        ClientRegistrationProvider provider,
                                        EventBuilder event,
                                        String endpoint)

  - ### Method Detail

    - #### getToken

          public String getToken()

    - #### getKid

          public String getKid()

    - #### getJwt

          public JsonWebToken getJwt()

    - #### isInitialAccessToken

          public boolean isInitialAccessToken()

    - #### isRegistrationAccessToken

          public boolean isRegistrationAccessToken()

    - #### requireCreate

          public RegistrationAuth requireCreate(ClientRegistrationContext context)

    - #### requireView

          public void requireView(ClientModel client)

    - #### requireView

          public void requireView(ClientModel client,
                                  boolean allowPublicClient)

    - #### getRegistrationAuth

          public RegistrationAuth getRegistrationAuth()

    - #### requireUpdate

          public RegistrationAuth requireUpdate(ClientRegistrationContext context,
                                                ClientModel client)

    - #### requireDelete

          public void requireDelete(ClientModel client)

    - #### getInitialAccessModel

          public ClientInitialAccessModel getInitialAccessModel()

Copyright © 2021 JBoss by Red Hat. All rights reserved.